Get events
curl --request GET \
--url https://ticketspotapp.com/api/api/v2/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ticketspotapp.com/api/api/v2/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ticketspotapp.com/api/api/v2/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"events": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"venue": {},
"venue_name": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"image_url": "<string>",
"hostName": "<string>",
"subdomain": "<string>",
"url": "<string>",
"status": "<string>",
"is_demo": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"next_cursor": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}API Reference
Get events
List events for your API key’s site with cursor pagination.
GET
/
events
Get events
curl --request GET \
--url https://ticketspotapp.com/api/api/v2/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ticketspotapp.com/api/api/v2/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ticketspotapp.com/api/api/v2/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"events": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"venue": {},
"venue_name": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"image_url": "<string>",
"hostName": "<string>",
"subdomain": "<string>",
"url": "<string>",
"status": "<string>",
"is_demo": true,
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"next_cursor": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>"
}Authorizations
ts-{uuid}-{secret}. Every key requires its independent secret.
Query Parameters
Required range:
1 <= x <= 100Opaque next_cursor from a previous response.
Maximum string length:
2048